Debian Bug report logs - #546619
strace for hppa is critically broken

version graph

Package: strace; Maintainer for strace is Frederik Schüler <fs@debian.org>; Source for strace is src:strace.

Reported by: "Carlos O'Donell" <carlos@systemhalted.org>

Date: Mon, 14 Sep 2009 17:36:01 UTC

Severity: grave

Tags: patch

Merged with 437928

Found in versions strace/4.5.15-1, strace/4.5.18-1

Fixed in version strace/4.5.19-1

Done: Frederik Schüler <fs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Roland McGrath <frob@debian.org>:
Bug#546619; Package strace. (Mon, 14 Sep 2009 17:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Carlos O'Donell" <carlos@systemhalted.org>:
New Bug report received and forwarded. Copy sent to Roland McGrath <frob@debian.org>. (Mon, 14 Sep 2009 17:36:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Carlos O'Donell" <carlos@systemhalted.org>
To: submit@bugs.debian.org
Cc: Helge Deller <deller@gmx.de>, Kyle McMartin <kyle@mcmartin.ca>
Subject: strace for hppa is critically broken
Date: Mon, 14 Sep 2009 13:08:35 -0400
[Message part 1 (text/plain, inline)]
Package: strace
version: 4.5.18-1
Severity: grave
Architecture: hppa
Tags: Patch

Strace is *unusable* on hppa.

This bug supercedes bug #437928, updates the patches listed there, and
fixes the most recent issues.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437928

Problems:
* Traced process function descriptors are accessed causing faults.
* More than maximum number of syscall arguments accessed causing upeek failures.
* Missing syscalls.
* Incorrect processing of some IPC syscalls.

Please apply the attached patch to fix all of these issues.

It is critical that strace be fixed, the debian-porters are attempting
to track down buildd instability issues and without a working strace
this makes it difficult.

Cheers,
Carlos.
[2009-09-14-strace.diff (text/x-diff, attachment)]

Merged 437928 546619. Request was from Frederik Schüler <fs@debian.org> to control@bugs.debian.org. (Mon, 21 Sep 2009 19:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Roland McGrath <frob@debian.org>:
Bug#546619; Package strace. (Mon, 21 Sep 2009 19:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Schüler <fs@debian.org>:
Extra info received and forwarded to list. Copy sent to Roland McGrath <frob@debian.org>. (Mon, 21 Sep 2009 19:27:08 GMT) Full text and rfc822 format available.

Message #12 received at 546619@bugs.debian.org (full text, mbox):

From: Frederik Schüler <fs@debian.org>
To: "Carlos O'Donell" <carlos@systemhalted.org>, 546619@bugs.debian.org
Cc: Helge Deller <deller@gmx.de>, Kyle McMartin <kyle@mcmartin.ca>
Subject: Re: Bug#546619: strace for hppa is critically broken
Date: Mon, 21 Sep 2009 21:23:48 +0200
[Message part 1 (text/plain, inline)]
Hi!

can you please verify if my merged patch against the upcoming 4.5.19 release 
of strace is working on hppa?

git://strace.git.sourceforge.net/gitroot/strace/strace

please find the patch attached.

Best regards
Frederik Schüler

On Monday 14 September 2009 19:08:35 Carlos O'Donell wrote:
> Package: strace
> version: 4.5.18-1
> Severity: grave
> Architecture: hppa
> Tags: Patch
> 
> Strace is *unusable* on hppa.
> 
> This bug supercedes bug #437928, updates the patches listed there, and
> fixes the most recent issues.
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437928
> 
> Problems:
> * Traced process function descriptors are accessed causing faults.
> * More than maximum number of syscall arguments accessed causing upeek 
failures.
> * Missing syscalls.
> * Incorrect processing of some IPC syscalls.
> 
> Please apply the attached patch to fix all of these issues.
> 
> It is critical that strace be fixed, the debian-porters are attempting
> to track down buildd instability issues and without a working strace
> this makes it difficult.
> 
> Cheers,
> Carlos.
> 

-- 
ENOSIG
[strace-hppa.diff.gz (application/x-gzip, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Roland McGrath <frob@debian.org>:
Bug#546619; Package strace. (Tue, 06 Oct 2009 20:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Carlos O'Donell" <carlos@systemhalted.org>:
Extra info received and forwarded to list. Copy sent to Roland McGrath <frob@debian.org>. (Tue, 06 Oct 2009 20:54:06 GMT) Full text and rfc822 format available.

Message #17 received at 546619@bugs.debian.org (full text, mbox):

From: "Carlos O'Donell" <carlos@systemhalted.org>
To: 546619@bugs.debian.org
Subject: upcoming 4.5.19 release works on hppa
Date: Tue, 6 Oct 2009 16:40:34 -0400
Frederik,

Your upcoming release 4.5.19 works on hppa. Thanks!

Cheers,
Carlos.




Reply sent to Frederik Schüler <fs@debian.org>:
You have taken responsibility. (Thu, 22 Oct 2009 04:36:22 GMT) Full text and rfc822 format available.

Notification sent to "Carlos O'Donell" <carlos@systemhalted.org>:
Bug acknowledged by developer. (Thu, 22 Oct 2009 04:36:22 GMT) Full text and rfc822 format available.

Message #22 received at 546619-close@bugs.debian.org (full text, mbox):

From: Frederik Schüler <fs@debian.org>
To: 546619-close@bugs.debian.org
Subject: Bug#546619: fixed in strace 4.5.19-1
Date: Thu, 22 Oct 2009 04:02:48 +0000
Source: strace
Source-Version: 4.5.19-1

We believe that the bug you reported is fixed in the latest version of
strace, which is due to be installed in the Debian FTP archive:

strace-udeb_4.5.19-1_amd64.udeb
  to pool/main/s/strace/strace-udeb_4.5.19-1_amd64.udeb
strace_4.5.19-1.dsc
  to pool/main/s/strace/strace_4.5.19-1.dsc
strace_4.5.19-1.tar.gz
  to pool/main/s/strace/strace_4.5.19-1.tar.gz
strace_4.5.19-1_amd64.deb
  to pool/main/s/strace/strace_4.5.19-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 546619@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frederik Schüler <fs@debian.org> (supplier of updated strace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Oct 2009 22:39:54 +0200
Source: strace
Binary: strace strace64 strace-udeb
Architecture: source amd64
Version: 4.5.19-1
Distribution: unstable
Urgency: low
Maintainer: Frederik Schüler <fs@debian.org>
Changed-By: Frederik Schüler <fs@debian.org>
Description: 
 strace     - A system call tracer
 strace-udeb - A system call tracer (udeb)
 strace64   - A system call tracer for 64bit binaries
Closes: 37665 437928 503124 509499 520084 521458 535564 546619
Changes: 
 strace (4.5.19-1) unstable; urgency=low
 .
   [ Dmitry V. Levin ]
   * New upstream release.
     + Fixed FTBFS on armel, closes: #520084, #535564
     + Marked sendfile(2) as a network syscall, closes: #509499
     + Fixed syscall numbers for tee and sync_file_range, closes: #503124
     + Changed strace to exit/kill with traced process
       exitcode/signal, closes: #37665
 .
   [ Frederik Schüler ]
   * Move myself from uploaders to maintainers, and drop Roland from the list,
     closes: #521458
   * Apply hppa fixes, thanks to Carlos O'Donell <carlos@systemhalted.org>
     and Helge Deller <deller@gmx.de> for the fixes, closes: #546619, #437928
   * Update standards-version to 3.8.1.
Checksums-Sha1: 
 b16e2c2246136809dbc270846c8824de99c4bd51 986 strace_4.5.19-1.dsc
 17f63cad6d22c691c118fdb335e3f9f753c36e65 712372 strace_4.5.19-1.tar.gz
 a73c47d8defd016ff42ed092b17c4f2047b8ae90 127654 strace_4.5.19-1_amd64.deb
 dc899f76c23760c4590b1fa75f0d06d45a27d4b6 97796 strace-udeb_4.5.19-1_amd64.udeb
Checksums-Sha256: 
 8f96b1717f08359e1ec53fd9b432855cac32270e6f4b281fb1ebfbe57c7095e5 986 strace_4.5.19-1.dsc
 012f7980e53118b6cc82306a6a2b623fa635a27031fb3185a213f3d13a98af80 712372 strace_4.5.19-1.tar.gz
 03e91f98440d2686df0ea8c79e35df2a94c290e3b097d31db002a7d6c4304650 127654 strace_4.5.19-1_amd64.deb
 bff5f3ce82228c78a2de20d1f09e0c63000338030f82ed626ab562fdbc0bffdb 97796 strace-udeb_4.5.19-1_amd64.udeb
Files: 
 b6b5f3fbca41f1b96d508f3f53ad00b1 986 utils standard strace_4.5.19-1.dsc
 b7800dd667300f3e3a9bc216efc1d4d8 712372 utils standard strace_4.5.19-1.tar.gz
 67aff79fc99cdb27ba858140c5e08ca2 127654 utils standard strace_4.5.19-1_amd64.deb
 25760a3fb329b8e12dd2af3b7eff8a04 97796 debian-installer extra strace-udeb_4.5.19-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrfyHAACgkQ6n7So0GVSSCAcgCgh4S8pzW/JUNlVJZ6JQEcN/1P
7dUAmwT030jGhEdr9tgxvsfjo9CA3Loi
=yr50
-----END PGP SIGNATURE-----





Reply sent to Frederik Schüler <fs@debian.org>:
You have taken responsibility. (Thu, 22 Oct 2009 04:36:22 GMT) Full text and rfc822 format available.

Notification sent to Helge Deller <deller@gmx.de>:
Bug acknowledged by developer. (Thu, 22 Oct 2009 04:36:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:10:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:09:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.